Bug 95272 - [NEW PORT] multimedia/tunapie: Tuner for streaming internet radio and TV
[NEW PORT] multimedia/tunapie: Tuner for streaming internet radio and TV
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: clsung
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 17:50 UTC by nivit
Modified: 2006-06-07 07:39 UTC (History)
0 users

See Also:


Attachments
tunapie-0.9.1.shar (7.32 KB, text/plain)
2006-04-03 17:50 UTC, nivit
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nivit 2006-04-03 17:50:16 UTC
Tuner for streaming internet radio and TV (nsv stream), written in Python,
providing searchable listings of audio and video media broadcasts from
the shoutcast server (Winamp). Helper programs can be specified to play
different categories of stream.

Author:	James Stone <jmstone@dsl.pipex.com>
WWW:	http://sourceforge.net/projects/tunapie

Generated with FreeBSD Port Tools 0.63
Comment 1 nivit 2006-04-13 17:10:23 UTC
New shar archive [update to 0.9.3]

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tunapie
#	tunapie/Makefile
#	tunapie/distinfo
#	tunapie/files
#	tunapie/files/patch-install.sh
#	tunapie/files/patch-src-TunerFrame1.py
#	tunapie/files/patch-src-TunerPrefs.py
#	tunapie/pkg-descr
#	tunapie/pkg-plist
#
echo c - tunapie
mkdir -p tunapie > /dev/null 2>&1
echo x - tunapie/Makefile
sed 's/^X//' >tunapie/Makefile << 'END-of-tunapie/Makefile'
X# New ports collection makefile for:	tunapie
X# Date created:		2006-04-03
X# Whom:			Nicola Vitale	<nivit@email.it>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tunapie
XPORTVERSION=	0.9.3
XCATEGORIES=	multimedia audio
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
XDISTNAME=	${PORTNAME}_${PORTVERSION}
X
XMAINTAINER=	nivit@email.it
XCOMMENT=	Tuner for streaming internet radio and TV
X
XRUN_DEPENDS=	${PYTHON_SITELIBDIR}/mx/__init__.py:${PORTSDIR}/lang/py-mx-base \
X		${PYTHON_SITELIBDIR}/${WX_PYTHON_DIR}/wxPython/_wx.py:${PORTSDIR}/x11-toolkits/py-wxPython26 \
X		streamripper:${PORTSDIR}/audio/streamripper \
X		mplayer:${PORTSDIR}/multimedia/mplayer \
X		xmms:${PORTSDIR}/multimedia/xmms
X
XNO_BUILD=	yes
XUSE_PYTHON=	yes
X
XOPTIONS=	ADULT	"non-censored TV listings" off
X
XFIND_FILES=	-type f -and \( -name "install.sh" -or -name "*.py" \)
X
Xpost-patch:
X	cd ${WRKSRC} && ${FIND} . ${FIND_FILES} -exec ${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
X		-e 's|%%DATADIR%%|${DATADIR}|g'\
X		-e 's|%%X11BASE%%|${X11BASE}|g'\
X		-e 's|%%PREFIX%%|${PREFIX}|g' \
X		-e 's|wxversion.select("2.6")|wxversion.select("${WX_PYTHON_DIR:S/^wx-//g}")|g' {} \;
X
Xdo-install:
X	cd ${WRKSRC} && ./install.sh ${ADULT_TVLIST}
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_ADULT)
XADULT_TVLIST=	--adult
X.endif
X
X.if defined(WITH_UNICODE) && (${OSVERSION} > 500000)
XWX_PYTHON_DIR=	wx-2.6-gtk2-unicode
X.else
XWX_PYTHON_DIR=	wx-2.6-gtk2-ansi
X.endif
X
X.include <bsd.port.post.mk>
END-of-tunapie/Makefile
echo x - tunapie/distinfo
sed 's/^X//' >tunapie/distinfo << 'END-of-tunapie/distinfo'
XMD5 (tunapie_0.9.3.tar.gz) = bcc6b9063b82738e2334b9f4c2cd028e
XSHA256 (tunapie_0.9.3.tar.gz) = a99b1944c97e80e56bd2a97003d510adc1e016b6ea76c5e417c6b61b518c02e2
XSIZE (tunapie_0.9.3.tar.gz) = 27323
END-of-tunapie/distinfo
echo c - tunapie/files
mkdir -p tunapie/files > /dev/null 2>&1
echo x - tunapie/files/patch-install.sh
sed 's/^X//' >tunapie/files/patch-install.sh << 'END-of-tunapie/files/patch-install.sh'
X$FreeBSD$
X--- install.sh	Sat Apr  1 23:21:08 2006
X+++ install.sh.port	Mon Apr  3 14:06:04 2006
X@@ -3,7 +3,7 @@
X else cp src/tunersafe.py src/tuner.py
X fi
X python src/compile
X-cp tunapie /usr/local/bin
X-rm -rf /usr/local/share/tunapie
X-mkdir /usr/local/share/tunapie
X-cp src/*.py src/*.pyc src/*.jpg /usr/local/share/tunapie
X+cp tunapie %%PREFIX%%/bin
X+#rm -rf %%DATADIR%%
X+mkdir %%DATADIR%%
X+cp src/*.py src/*.pyc src/*.jpg %%DATADIR%%
END-of-tunapie/files/patch-install.sh
echo x - tunapie/files/patch-src-TunerFrame1.py
sed 's/^X//' >tunapie/files/patch-src-TunerFrame1.py << 'END-of-tunapie/files/patch-src-TunerFrame1.py'
X$FreeBSD$
X--- src/TunerFrame1.py	Wed Apr 12 23:25:20 2006
X+++ src/TunerFrame1.py.port	Thu Apr 13 09:12:06 2006
X@@ -356,10 +356,10 @@
X             self.favorites.Append(name)
X         self.name=[]
X         self.radiofile,self.tvfile='',''
X-        self.mediaplayer='/usr/bin/xmms'
X-        self.videoplayer='/usr/bin/mplayer -nojoystick'
X-        self.term='/usr/bin/x-terminal-emulator'
X-        self.ripper='/usr/bin/streamripper'
X+        self.mediaplayer='%%X11BASE%%/bin/xmms'
X+        self.videoplayer='%%LOCALBASE%%/bin/mplayer -nojoystick'
X+        self.term='%%X11BASE%%/bin/xterm'
X+        self.ripper='%%LOCALBASE%%/bin/streamripper'
X         self.rdir=home+'/.tunapie/streamripper'
X         self.mediaplayer,self.videoplayer,self.term,self.ripper,self.rdir=\
X             tuner.readprefs(home,self.mediaplayer,self.videoplayer,\
END-of-tunapie/files/patch-src-TunerFrame1.py
echo x - tunapie/files/patch-src-TunerPrefs.py
sed 's/^X//' >tunapie/files/patch-src-TunerPrefs.py << 'END-of-tunapie/files/patch-src-TunerPrefs.py'
X$FreeBSD$
X--- src/TunerPrefs.py	Wed Apr 12 23:25:20 2006
X+++ src/TunerPrefs.py.port	Thu Apr 13 09:14:16 2006
X@@ -59,14 +59,14 @@
X 
X         self.audiopath = wx.TextCtrl(id=wxID_PREFERENCESAUDIOPATH,
X               name='audiopath', parent=self, pos=wx.Point(152, 16),
X-              size=wx.Size(208, 22), style=0, value='/usr/bin/xmms')
X+              size=wx.Size(208, 22), style=0, value='%%X11BASE%%/bin/xmms')
X         self.audiopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.audiopath.SetBackgroundColour(wx.Colour(255, 253, 239))
X 
X         self.videopath = wx.TextCtrl(id=wxID_PREFERENCESVIDEOPATH,
X               name='videopath', parent=self, pos=wx.Point(152, 48),
X-              size=wx.Size(208, 22), style=0, value='/usr/bin/mplayer')
X+              size=wx.Size(208, 22), style=0, value='%%LOCALBASE%%/bin/mplayer')
X         self.videopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.videopath.SetBackgroundColour(wx.Colour(255, 253, 239))
X@@ -87,14 +87,14 @@
X         self.termpath = wx.TextCtrl(id=wxID_PREFERENCESTERMPATH,
X               name='termpath', parent=self, pos=wx.Point(152, 80),
X               size=wx.Size(208, 22), style=0,
X-              value='/usr/bin/x-terminal-emulator')
X+              value='%%X11BASE%%/bin/xterm')
X         self.termpath.SetFont(wx.Font(7, wx.SWISS, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.termpath.SetBackgroundColour(wx.Colour(255, 253, 239))
X 
X         self.rippath = wx.TextCtrl(id=wxID_PREFERENCESRIPPATH, name='rippath',
X               parent=self, pos=wx.Point(152, 112), size=wx.Size(208, 22),
X-              style=0, value='/usr/bin/streamripper')
X+              style=0, value='%%LOCALBASE%%/bin/streamripper')
X         self.rippath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.rippath.SetBackgroundColour(wx.Colour(255, 253, 239))
END-of-tunapie/files/patch-src-TunerPrefs.py
echo x - tunapie/pkg-descr
sed 's/^X//' >tunapie/pkg-descr << 'END-of-tunapie/pkg-descr'
XTuner for streaming internet radio and TV (nsv stream), written in Python,
Xproviding searchable listings of audio and video media broadcasts from
Xthe shoutcast server (Winamp). Helper programs can be specified to play
Xdifferent categories of stream.
X
XAuthor:	James Stone <jmstone@dsl.pipex.com>
XWWW:	http://sourceforge.net/projects/tunapie
END-of-tunapie/pkg-descr
echo x - tunapie/pkg-plist
sed 's/^X//' >tunapie/pkg-plist << 'END-of-tunapie/pkg-plist'
X@comment $FreeBSD$
Xbin/tunapie
X%%DATADIR%%/AboutTuner.py
X%%DATADIR%%/AboutTuner.pyc
X%%DATADIR%%/RecordQueue.py
X%%DATADIR%%/RecordQueue.pyc
X%%DATADIR%%/RecordTime.py
X%%DATADIR%%/RecordTime.pyc
X%%DATADIR%%/Splash.py
X%%DATADIR%%/Tunapie.py
X%%DATADIR%%/Tunapie.pyc
X%%DATADIR%%/TunerFrame1.py
X%%DATADIR%%/TunerFrame1.pyc
X%%DATADIR%%/TunerInfoDialog.py
X%%DATADIR%%/TunerInfoDialog.pyc
X%%DATADIR%%/TunerPrefs.py
X%%DATADIR%%/TunerPrefs.pyc
X%%DATADIR%%/tplogo.jpg
X%%DATADIR%%/tuner.py
X%%DATADIR%%/tuner.pyc
X%%DATADIR%%/tuneradult.py
X%%DATADIR%%/tunersafe.py
X@dirrm %%DATADIR%%
END-of-tunapie/pkg-plist
exit
Comment 2 nivit 2006-04-20 16:04:20 UTC
New shar archive [update to 0.9.4]

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tunapie
#	tunapie/Makefile
#	tunapie/distinfo
#	tunapie/files
#	tunapie/files/patch-install.sh
#	tunapie/files/patch-src-TunerFrame1.py
#	tunapie/files/patch-src-TunerPrefs.py
#	tunapie/pkg-descr
#	tunapie/pkg-plist
#
echo c - tunapie
mkdir -p tunapie > /dev/null 2>&1
echo x - tunapie/Makefile
sed 's/^X//' >tunapie/Makefile << 'END-of-tunapie/Makefile'
X# New ports collection makefile for:	tunapie
X# Date created:		2006-04-03
X# Whom:			Nicola Vitale	<nivit@email.it>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tunapie
XPORTVERSION=	0.9.4
XCATEGORIES=	multimedia audio
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
XDISTNAME=	${PORTNAME}_${PORTVERSION}
X
XMAINTAINER=	nivit@email.it
XCOMMENT=	Tuner for streaming internet radio and TV
X
XRUN_DEPENDS=	${PYTHON_SITELIBDIR}/mx/__init__.py:${PORTSDIR}/lang/py-mx-base \
X		${PYTHON_SITELIBDIR}/${WX_PYTHON_DIR}/wxPython/_wx.py:${PORTSDIR}/x11-toolkits/py-wxPython26 \
X		streamripper:${PORTSDIR}/audio/streamripper \
X		mplayer:${PORTSDIR}/multimedia/mplayer \
X		xmms:${PORTSDIR}/multimedia/xmms
X
XNO_BUILD=	yes
XUSE_PYTHON=	yes
X
XOPTIONS=	ADULT	"non-censored TV listings" off
X
XFIND_FILES=	-type f -and \( -name "install.sh" -or -name "*.py" \)
X
Xpost-patch:
X	cd ${WRKSRC} && ${FIND} . ${FIND_FILES} -exec ${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
X		-e 's|%%DATADIR%%|${DATADIR}|g'\
X		-e 's|%%X11BASE%%|${X11BASE}|g'\
X		-e 's|%%PREFIX%%|${PREFIX}|g' \
X		-e 's|wxversion.select("2.6")|wxversion.select("${WX_PYTHON_DIR:S/^wx-//g}")|g' {} \;
X
Xdo-install:
X	cd ${WRKSRC} && ./install.sh ${ADULT_TVLIST}
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_ADULT)
XADULT_TVLIST=	--adult
X.endif
X
X.if defined(WITH_UNICODE) && (${OSVERSION} > 500000)
XWX_PYTHON_DIR=	wx-2.6-gtk2-unicode
X.else
XWX_PYTHON_DIR=	wx-2.6-gtk2-ansi
X.endif
X
X.include <bsd.port.post.mk>
END-of-tunapie/Makefile
echo x - tunapie/distinfo
sed 's/^X//' >tunapie/distinfo << 'END-of-tunapie/distinfo'
XMD5 (tunapie_0.9.4.tar.gz) = f6eb6c0a07df192190e9f69b9576f0c8
XSHA256 (tunapie_0.9.4.tar.gz) = 7771c8127a5eb3afa580ef34d17eefcbdf6142e3b4f2dc7da1817a7f1383688c
XSIZE (tunapie_0.9.4.tar.gz) = 27523
END-of-tunapie/distinfo
echo c - tunapie/files
mkdir -p tunapie/files > /dev/null 2>&1
echo x - tunapie/files/patch-install.sh
sed 's/^X//' >tunapie/files/patch-install.sh << 'END-of-tunapie/files/patch-install.sh'
X$FreeBSD$
X--- install.sh	Sat Apr  1 23:21:08 2006
X+++ install.sh.port	Mon Apr  3 14:06:04 2006
X@@ -3,7 +3,7 @@
X else cp src/tunersafe.py src/tuner.py
X fi
X python src/compile
X-cp tunapie /usr/local/bin
X-rm -rf /usr/local/share/tunapie
X-mkdir /usr/local/share/tunapie
X-cp src/*.py src/*.pyc src/*.jpg /usr/local/share/tunapie
X+cp tunapie %%PREFIX%%/bin
X+#rm -rf %%DATADIR%%
X+mkdir %%DATADIR%%
X+cp src/*.py src/*.pyc src/*.jpg %%DATADIR%%
END-of-tunapie/files/patch-install.sh
echo x - tunapie/files/patch-src-TunerFrame1.py
sed 's/^X//' >tunapie/files/patch-src-TunerFrame1.py << 'END-of-tunapie/files/patch-src-TunerFrame1.py'
X$FreeBSD$
X--- src/TunerFrame1.py	Wed Apr 12 23:25:20 2006
X+++ src/TunerFrame1.py.port	Thu Apr 13 09:12:06 2006
X@@ -356,10 +356,10 @@
X             self.favorites.Append(name)
X         self.name=[]
X         self.radiofile,self.tvfile='',''
X-        self.mediaplayer='/usr/bin/xmms'
X-        self.videoplayer='/usr/bin/mplayer -nojoystick'
X-        self.term='/usr/bin/x-terminal-emulator'
X-        self.ripper='/usr/bin/streamripper'
X+        self.mediaplayer='%%X11BASE%%/bin/xmms'
X+        self.videoplayer='%%LOCALBASE%%/bin/mplayer -nojoystick'
X+        self.term='%%X11BASE%%/bin/xterm'
X+        self.ripper='%%LOCALBASE%%/bin/streamripper'
X         self.rdir=home+'/.tunapie/streamripper'
X         self.mediaplayer,self.videoplayer,self.term,self.ripper,self.rdir=\
X             tuner.readprefs(home,self.mediaplayer,self.videoplayer,\
END-of-tunapie/files/patch-src-TunerFrame1.py
echo x - tunapie/files/patch-src-TunerPrefs.py
sed 's/^X//' >tunapie/files/patch-src-TunerPrefs.py << 'END-of-tunapie/files/patch-src-TunerPrefs.py'
X$FreeBSD$
X--- src/TunerPrefs.py	Wed Apr 12 23:25:20 2006
X+++ src/TunerPrefs.py.port	Thu Apr 13 09:14:16 2006
X@@ -59,14 +59,14 @@
X 
X         self.audiopath = wx.TextCtrl(id=wxID_PREFERENCESAUDIOPATH,
X               name='audiopath', parent=self, pos=wx.Point(152, 16),
X-              size=wx.Size(208, 22), style=0, value='/usr/bin/xmms')
X+              size=wx.Size(208, 22), style=0, value='%%X11BASE%%/bin/xmms')
X         self.audiopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.audiopath.SetBackgroundColour(wx.Colour(255, 253, 239))
X 
X         self.videopath = wx.TextCtrl(id=wxID_PREFERENCESVIDEOPATH,
X               name='videopath', parent=self, pos=wx.Point(152, 48),
X-              size=wx.Size(208, 22), style=0, value='/usr/bin/mplayer')
X+              size=wx.Size(208, 22), style=0, value='%%LOCALBASE%%/bin/mplayer')
X         self.videopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.videopath.SetBackgroundColour(wx.Colour(255, 253, 239))
X@@ -87,14 +87,14 @@
X         self.termpath = wx.TextCtrl(id=wxID_PREFERENCESTERMPATH,
X               name='termpath', parent=self, pos=wx.Point(152, 80),
X               size=wx.Size(208, 22), style=0,
X-              value='/usr/bin/x-terminal-emulator')
X+              value='%%X11BASE%%/bin/xterm')
X         self.termpath.SetFont(wx.Font(7, wx.SWISS, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.termpath.SetBackgroundColour(wx.Colour(255, 253, 239))
X 
X         self.rippath = wx.TextCtrl(id=wxID_PREFERENCESRIPPATH, name='rippath',
X               parent=self, pos=wx.Point(152, 112), size=wx.Size(208, 22),
X-              style=0, value='/usr/bin/streamripper')
X+              style=0, value='%%LOCALBASE%%/bin/streamripper')
X         self.rippath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.rippath.SetBackgroundColour(wx.Colour(255, 253, 239))
END-of-tunapie/files/patch-src-TunerPrefs.py
echo x - tunapie/pkg-descr
sed 's/^X//' >tunapie/pkg-descr << 'END-of-tunapie/pkg-descr'
XTuner for streaming internet radio and TV (nsv stream), written in Python,
Xproviding searchable listings of audio and video media broadcasts from
Xthe shoutcast server (Winamp). Helper programs can be specified to play
Xdifferent categories of stream.
X
XAuthor:	James Stone <jmstone@dsl.pipex.com>
XWWW:	http://sourceforge.net/projects/tunapie
END-of-tunapie/pkg-descr
echo x - tunapie/pkg-plist
sed 's/^X//' >tunapie/pkg-plist << 'END-of-tunapie/pkg-plist'
X@comment $FreeBSD$
Xbin/tunapie
X%%DATADIR%%/AboutTuner.py
X%%DATADIR%%/AboutTuner.pyc
X%%DATADIR%%/RecordQueue.py
X%%DATADIR%%/RecordQueue.pyc
X%%DATADIR%%/RecordTime.py
X%%DATADIR%%/RecordTime.pyc
X%%DATADIR%%/Splash.py
X%%DATADIR%%/Tunapie.py
X%%DATADIR%%/Tunapie.pyc
X%%DATADIR%%/TunerFrame1.py
X%%DATADIR%%/TunerFrame1.pyc
X%%DATADIR%%/TunerInfoDialog.py
X%%DATADIR%%/TunerInfoDialog.pyc
X%%DATADIR%%/TunerPrefs.py
X%%DATADIR%%/TunerPrefs.pyc
X%%DATADIR%%/tplogo.jpg
X%%DATADIR%%/tuner.py
X%%DATADIR%%/tuner.pyc
X%%DATADIR%%/tuneradult.py
X%%DATADIR%%/tunersafe.py
X@dirrm %%DATADIR%%
END-of-tunapie/pkg-plist
exit
Comment 3 nivit 2006-05-27 10:08:16 UTC
- Update to the latest version (0.9.8)


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tunapie
#	tunapie/Makefile
#	tunapie/pkg-plist
#	tunapie/files
#	tunapie/files/patch-install.sh
#	tunapie/files/patch-src-TunerFrame1.py
#	tunapie/files/patch-src-TunerPrefs.py
#	tunapie/pkg-descr
#	tunapie/distinfo
#
echo c - tunapie
mkdir -p tunapie > /dev/null 2>&1
echo x - tunapie/Makefile
sed 's/^X//' >tunapie/Makefile << 'END-of-tunapie/Makefile'
X# New ports collection makefile for:	tunapie
X# Date created:		2006-04-03
X# Whom:			Nicola Vitale	<nivit@email.it>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tunapie
XPORTVERSION=	0.9.8
XCATEGORIES=	multimedia audio
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
XDISTNAME=	${PORTNAME}_${PORTVERSION}
X
XMAINTAINER=	nivit@email.it
XCOMMENT=	Tuner for streaming internet radio and TV
X
XRUN_DEPENDS=	${PYTHON_SITELIBDIR}/mx/__init__.py:${PORTSDIR}/lang/py-mx-base \
X		${PYTHON_SITELIBDIR}/${WX_PYTHON_DIR}/wxPython/_wx.py:${PORTSDIR}/x11-toolkits/py-wxPython26 \
X		streamripper:${PORTSDIR}/audio/streamripper \
X		mplayer:${PORTSDIR}/multimedia/mplayer \
X		xmms:${PORTSDIR}/multimedia/xmms
X
XNO_BUILD=	yes
XUSE_PYTHON=	yes
X
XOPTIONS=	ADULT	"non-censored TV listings" off
X
XFIND_FILES=	-type f -and \( -name "install.sh" -or -name "*.py" \)
X
Xpost-patch:
X	cd ${WRKSRC} && ${FIND} . ${FIND_FILES} -exec ${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
X		-e 's|%%DATADIR%%|${DATADIR}|g'\
X		-e 's|%%X11BASE%%|${X11BASE}|g'\
X		-e 's|%%PREFIX%%|${PREFIX}|g' \
X		-e 's|wxversion.select("2.6")|wxversion.select("${WX_PYTHON_DIR:S/^wx-//g}")|g' {} \;
X
Xdo-install:
X	cd ${WRKSRC} && ./install.sh ${ADULT_TVLIST}
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_ADULT)
XADULT_TVLIST=	--adult
X.endif
X
X.if defined(WITH_UNICODE) && (${OSVERSION} > 500000)
XWX_PYTHON_DIR=	wx-2.6-gtk2-unicode
X.else
XWX_PYTHON_DIR=	wx-2.6-gtk2-ansi
X.endif
X
X.include <bsd.port.post.mk>
END-of-tunapie/Makefile
echo x - tunapie/pkg-plist
sed 's/^X//' >tunapie/pkg-plist << 'END-of-tunapie/pkg-plist'
X@comment $FreeBSD$
Xbin/tunapie
X%%DATADIR%%/AboutTuner.py
X%%DATADIR%%/AboutTuner.pyc
X%%DATADIR%%/RecordQueue.py
X%%DATADIR%%/RecordQueue.pyc
X%%DATADIR%%/RecordTime.py
X%%DATADIR%%/RecordTime.pyc
X%%DATADIR%%/Splash.py
X%%DATADIR%%/Tunapie.py
X%%DATADIR%%/Tunapie.pyc
X%%DATADIR%%/TunerFrame1.py
X%%DATADIR%%/TunerFrame1.pyc
X%%DATADIR%%/TunerInfoDialog.py
X%%DATADIR%%/TunerInfoDialog.pyc
X%%DATADIR%%/TunerPrefs.py
X%%DATADIR%%/TunerPrefs.pyc
X%%DATADIR%%/tplogo.jpg
X%%DATADIR%%/tuner.py
X%%DATADIR%%/tuner.pyc
X%%DATADIR%%/tuneradult.py
X%%DATADIR%%/tunersafe.py
X@dirrm %%DATADIR%%
END-of-tunapie/pkg-plist
echo c - tunapie/files
mkdir -p tunapie/files > /dev/null 2>&1
echo x - tunapie/files/patch-install.sh
sed 's/^X//' >tunapie/files/patch-install.sh << 'END-of-tunapie/files/patch-install.sh'
X$FreeBSD$
X--- install.sh	Sat Apr  1 23:21:08 2006
X+++ install.sh.port	Mon Apr  3 14:06:04 2006
X@@ -3,7 +3,7 @@
X else cp src/tunersafe.py src/tuner.py
X fi
X python src/compile
X-cp tunapie /usr/local/bin
X-rm -rf /usr/local/share/tunapie
X-mkdir /usr/local/share/tunapie
X-cp src/*.py src/*.pyc src/*.jpg /usr/local/share/tunapie
X+cp tunapie %%PREFIX%%/bin
X+#rm -rf %%DATADIR%%
X+mkdir %%DATADIR%%
X+cp src/*.py src/*.pyc src/*.jpg %%DATADIR%%
END-of-tunapie/files/patch-install.sh
echo x - tunapie/files/patch-src-TunerFrame1.py
sed 's/^X//' >tunapie/files/patch-src-TunerFrame1.py << 'END-of-tunapie/files/patch-src-TunerFrame1.py'
X--- src/TunerFrame1.py	Tue May  9 23:17:31 2006
X+++ src/TunerFrame1.py.port	Wed May 10 11:38:29 2006
X@@ -352,10 +352,10 @@
X         for name in self.favname:
X             self.favorites.Append(name)
X         self.name=[]
X-        self.mediaplayer='/usr/bin/xmms'
X-        self.videoplayer='/usr/bin/mplayer -nojoystick'
X-        self.term='/usr/bin/x-terminal-emulator'
X-        self.ripper='/usr/bin/streamripper -t -u winamp2 -o never'
X+        self.mediaplayer='%%X11BASE%%/bin/xmms'
X+        self.videoplayer='%%LOCALBASE%%/bin/mplayer -nojoystick'
X+        self.term='%%X11BASE%%/bin/xterm'
X+        self.ripper='%%LOCALBASE%%/bin/streamripper -t -u winamp2 -o never'
X         self.rdir=self.home+'/.tunapie/streamripper'
X         self.shoutice=1 #0 is icecast server 1 is shoutcast
X         self.mediaplayer,self.videoplayer,self.term,self.ripper,self.rdir,self.shoutice=\
END-of-tunapie/files/patch-src-TunerFrame1.py
echo x - tunapie/files/patch-src-TunerPrefs.py
sed 's/^X//' >tunapie/files/patch-src-TunerPrefs.py << 'END-of-tunapie/files/patch-src-TunerPrefs.py'
X--- src/TunerPrefs.py	Wed May 24 23:10:23 2006
X+++ src/TunerPrefs.py.port	Sat May 27 10:59:16 2006
X@@ -74,7 +74,7 @@
X 
X         self.audiopath = wx.TextCtrl(id=wxID_PREFERENCESAUDIOPATH,
X               name='audiopath', parent=self, pos=wx.Point(160, 16),
X-              size=wx.Size(208, 22), style=0, value='/usr/bin/xmms')
X+              size=wx.Size(208, 22), style=0, value='%%X11BASE%%/bin/xmms')
X         self.audiopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.audiopath.SetBackgroundColour(wx.Colour(255, 253, 239))
X@@ -82,7 +82,7 @@
X 
X         self.videopath = wx.TextCtrl(id=wxID_PREFERENCESVIDEOPATH,
X               name='videopath', parent=self, pos=wx.Point(160, 48),
X-              size=wx.Size(208, 22), style=0, value='/usr/bin/mplayer')
X+              size=wx.Size(208, 22), style=0, value='%%LOCALBASE%%/bin/mplayer')
X         self.videopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.videopath.SetBackgroundColour(wx.Colour(255, 253, 239))
X@@ -110,7 +110,7 @@
X         self.termpath = wx.TextCtrl(id=wxID_PREFERENCESTERMPATH,
X               name='termpath', parent=self, pos=wx.Point(160, 80),
X               size=wx.Size(208, 22), style=0,
X-              value='/usr/bin/x-terminal-emulator')
X+              value='%%X11BASE%%/bin/xterm')
X         self.termpath.SetFont(wx.Font(7, wx.SWISS, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.termpath.SetBackgroundColour(wx.Colour(255, 253, 239))
X@@ -118,7 +118,7 @@
X 
X         self.rippath = wx.TextCtrl(id=wxID_PREFERENCESRIPPATH, name='rippath',
X               parent=self, pos=wx.Point(160, 112), size=wx.Size(208, 22),
X-              style=0, value='/usr/bin/streamripper')
X+              style=0, value='%%LOCALBASE%%/bin/streamripper')
X         self.rippath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.rippath.SetBackgroundColour(wx.Colour(255, 253, 239))
END-of-tunapie/files/patch-src-TunerPrefs.py
echo x - tunapie/pkg-descr
sed 's/^X//' >tunapie/pkg-descr << 'END-of-tunapie/pkg-descr'
XTuner for streaming internet radio and TV (nsv stream), written in Python,
Xproviding searchable listings of audio and video media broadcasts from
Xthe shoutcast server (Winamp). Helper programs can be specified to play
Xdifferent categories of stream.
X
XAuthor:	James Stone
XWWW:	http://sourceforge.net/projects/tunapie
END-of-tunapie/pkg-descr
echo x - tunapie/distinfo
sed 's/^X//' >tunapie/distinfo << 'END-of-tunapie/distinfo'
XMD5 (tunapie_0.9.8.tar.gz) = 98af794cb86f6229345e0a6f9075b0a6
XSHA256 (tunapie_0.9.8.tar.gz) = 3b13a9ed90baee479fcdbc2558122e74f909492720991809ed3d7d87b3bd8ecc
XSIZE (tunapie_0.9.8.tar.gz) = 33895
END-of-tunapie/distinfo
exit
Comment 4 nivit 2006-06-06 18:30:26 UTC
- Update to the latest version (0.9.9)

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tunapie
#	tunapie/Makefile
#	tunapie/pkg-plist
#	tunapie/files
#	tunapie/files/patch-install.sh
#	tunapie/files/patch-src-TunerFrame1.py
#	tunapie/files/patch-src-TunerPrefs.py
#	tunapie/pkg-descr
#	tunapie/distinfo
#
echo c - tunapie
mkdir -p tunapie > /dev/null 2>&1
echo x - tunapie/Makefile
sed 's/^X//' >tunapie/Makefile << 'END-of-tunapie/Makefile'
X# New ports collection makefile for:	tunapie
X# Date created:		2006-04-03
X# Whom:			Nicola Vitale	<nivit@email.it>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tunapie
XPORTVERSION=	0.9.9
XCATEGORIES=	multimedia audio
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
XDISTNAME=	${PORTNAME}_${PORTVERSION}
X
XMAINTAINER=	nivit@email.it
XCOMMENT=	Tuner for streaming internet radio and TV
X
XRUN_DEPENDS=	${PYTHON_SITELIBDIR}/mx/__init__.py:${PORTSDIR}/lang/py-mx-base \
X		${PYTHON_SITELIBDIR}/${WX_PYTHON_DIR}/wxPython/_wx.py:${PORTSDIR}/x11-toolkits/py-wxPython26 \
X		streamripper:${PORTSDIR}/audio/streamripper \
X		mplayer:${PORTSDIR}/multimedia/mplayer \
X		xmms:${PORTSDIR}/multimedia/xmms
X
XNO_BUILD=	yes
XUSE_PYTHON=	yes
X
XOPTIONS=	ADULT	"non-censored TV listings" off
X
XFIND_FILES=	-type f -and \( -name "install.sh" -or -name "*.py" \)
X
Xpost-patch:
X	cd ${WRKSRC} && ${FIND} . ${FIND_FILES} -exec ${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
X		-e 's|%%DATADIR%%|${DATADIR}|g'\
X		-e 's|%%X11BASE%%|${X11BASE}|g'\
X		-e 's|%%PREFIX%%|${PREFIX}|g' \
X		-e 's|wxversion.select("2.6")|wxversion.select("${WX_PYTHON_DIR:S/^wx-//g}")|g' {} \;
X
Xdo-install:
X	cd ${WRKSRC} && ./install.sh ${ADULT_TVLIST}
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_ADULT)
XADULT_TVLIST=	--adult
X.endif
X
X.if defined(WITH_UNICODE) && (${OSVERSION} > 500000)
XWX_PYTHON_DIR=	wx-2.6-gtk2-unicode
X.else
XWX_PYTHON_DIR=	wx-2.6-gtk2-ansi
X.endif
X
X.include <bsd.port.post.mk>
END-of-tunapie/Makefile
echo x - tunapie/pkg-plist
sed 's/^X//' >tunapie/pkg-plist << 'END-of-tunapie/pkg-plist'
X@comment $FreeBSD$
Xbin/tunapie
X%%DATADIR%%/AboutTuner.py
X%%DATADIR%%/AboutTuner.pyc
X%%DATADIR%%/RecordQueue.py
X%%DATADIR%%/RecordQueue.pyc
X%%DATADIR%%/RecordTime.py
X%%DATADIR%%/RecordTime.pyc
X%%DATADIR%%/Splash.py
X%%DATADIR%%/Tunapie.py
X%%DATADIR%%/Tunapie.pyc
X%%DATADIR%%/TunerFrame1.py
X%%DATADIR%%/TunerFrame1.pyc
X%%DATADIR%%/TunerInfoDialog.py
X%%DATADIR%%/TunerInfoDialog.pyc
X%%DATADIR%%/TunerPrefs.py
X%%DATADIR%%/TunerPrefs.pyc
X%%DATADIR%%/tplogo.jpg
X%%DATADIR%%/tuner.py
X%%DATADIR%%/tuner.pyc
X%%DATADIR%%/tuneradult.py
X%%DATADIR%%/tunersafe.py
X@dirrm %%DATADIR%%
END-of-tunapie/pkg-plist
echo c - tunapie/files
mkdir -p tunapie/files > /dev/null 2>&1
echo x - tunapie/files/patch-install.sh
sed 's/^X//' >tunapie/files/patch-install.sh << 'END-of-tunapie/files/patch-install.sh'
X$FreeBSD$
X--- install.sh	Sat Apr  1 23:21:08 2006
X+++ install.sh.port	Mon Apr  3 14:06:04 2006
X@@ -3,7 +3,7 @@
X else cp src/tunersafe.py src/tuner.py
X fi
X python src/compile
X-cp tunapie /usr/local/bin
X-rm -rf /usr/local/share/tunapie
X-mkdir /usr/local/share/tunapie
X-cp src/*.py src/*.pyc src/*.jpg /usr/local/share/tunapie
X+cp tunapie %%PREFIX%%/bin
X+#rm -rf %%DATADIR%%
X+mkdir %%DATADIR%%
X+cp src/*.py src/*.pyc src/*.jpg %%DATADIR%%
END-of-tunapie/files/patch-install.sh
echo x - tunapie/files/patch-src-TunerFrame1.py
sed 's/^X//' >tunapie/files/patch-src-TunerFrame1.py << 'END-of-tunapie/files/patch-src-TunerFrame1.py'
X$FreeBSD$
X--- src/TunerFrame1.py	Tue May  9 23:17:31 2006
X+++ src/TunerFrame1.py.port	Wed May 10 11:38:29 2006
X@@ -352,10 +352,10 @@
X         for name in self.favname:
X             self.favorites.Append(name)
X         self.name=[]
X-        self.mediaplayer='/usr/bin/xmms'
X-        self.videoplayer='/usr/bin/mplayer -nojoystick'
X-        self.term='/usr/bin/x-terminal-emulator'
X-        self.ripper='/usr/bin/streamripper -t -u winamp2 -o never'
X+        self.mediaplayer='%%X11BASE%%/bin/xmms'
X+        self.videoplayer='%%LOCALBASE%%/bin/mplayer -nojoystick'
X+        self.term='%%X11BASE%%/bin/xterm'
X+        self.ripper='%%LOCALBASE%%/bin/streamripper -t -u winamp2 -o never'
X         self.rdir=self.home+'/.tunapie/streamripper'
X         self.shoutice=1 #0 is icecast server 1 is shoutcast
X         self.mediaplayer,self.videoplayer,self.term,self.ripper,self.rdir,self.shoutice=\
END-of-tunapie/files/patch-src-TunerFrame1.py
echo x - tunapie/files/patch-src-TunerPrefs.py
sed 's/^X//' >tunapie/files/patch-src-TunerPrefs.py << 'END-of-tunapie/files/patch-src-TunerPrefs.py'
X$FreeBSD$
X--- src/TunerPrefs.py	Wed May 24 23:10:23 2006
X+++ src/TunerPrefs.py.port	Sat May 27 10:59:16 2006
X@@ -74,7 +74,7 @@
X 
X         self.audiopath = wx.TextCtrl(id=wxID_PREFERENCESAUDIOPATH,
X               name='audiopath', parent=self, pos=wx.Point(160, 16),
X-              size=wx.Size(208, 22), style=0, value='/usr/bin/xmms')
X+              size=wx.Size(208, 22), style=0, value='%%X11BASE%%/bin/xmms')
X         self.audiopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.audiopath.SetBackgroundColour(wx.Colour(255, 253, 239))
X@@ -82,7 +82,7 @@
X 
X         self.videopath = wx.TextCtrl(id=wxID_PREFERENCESVIDEOPATH,
X               name='videopath', parent=self, pos=wx.Point(160, 48),
X-              size=wx.Size(208, 22), style=0, value='/usr/bin/mplayer')
X+              size=wx.Size(208, 22), style=0, value='%%LOCALBASE%%/bin/mplayer')
X         self.videopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.videopath.SetBackgroundColour(wx.Colour(255, 253, 239))
X@@ -110,7 +110,7 @@
X         self.termpath = wx.TextCtrl(id=wxID_PREFERENCESTERMPATH,
X               name='termpath', parent=self, pos=wx.Point(160, 80),
X               size=wx.Size(208, 22), style=0,
X-              value='/usr/bin/x-terminal-emulator')
X+              value='%%X11BASE%%/bin/xterm')
X         self.termpath.SetFont(wx.Font(7, wx.SWISS, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.termpath.SetBackgroundColour(wx.Colour(255, 253, 239))
X@@ -118,7 +118,7 @@
X 
X         self.rippath = wx.TextCtrl(id=wxID_PREFERENCESRIPPATH, name='rippath',
X               parent=self, pos=wx.Point(160, 112), size=wx.Size(208, 22),
X-              style=0, value='/usr/bin/streamripper')
X+              style=0, value='%%LOCALBASE%%/bin/streamripper')
X         self.rippath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
X               u'Sans'))
X         self.rippath.SetBackgroundColour(wx.Colour(255, 253, 239))
END-of-tunapie/files/patch-src-TunerPrefs.py
echo x - tunapie/pkg-descr
sed 's/^X//' >tunapie/pkg-descr << 'END-of-tunapie/pkg-descr'
XTuner for streaming internet radio and TV (nsv stream), written in Python,
Xproviding searchable listings of audio and video media broadcasts from
Xthe shoutcast server (Winamp). Helper programs can be specified to play
Xdifferent categories of stream.
X
XAuthor:	James Stone
XWWW:	http://sourceforge.net/projects/tunapie
END-of-tunapie/pkg-descr
echo x - tunapie/distinfo
sed 's/^X//' >tunapie/distinfo << 'END-of-tunapie/distinfo'
XMD5 (tunapie_0.9.9.tar.gz) = e67de4978036beea03eb349f8b0d14a9
XSHA256 (tunapie_0.9.9.tar.gz) = f01d2ece51063dbe9695fb57c3431e3074fcdd38b562f9bf3cc7baead5ed5dcc
XSIZE (tunapie_0.9.9.tar.gz) = 37727
END-of-tunapie/distinfo
exit
Comment 5 clsung freebsd_committer 2006-06-07 00:57:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Get.
Comment 6 clsung freebsd_committer 2006-06-07 07:39:29 UTC
State Changed
From-To: open->closed

New port added. Thank you.